package com.spring.series.mvc.controller;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.AbstractController;

public class MyFirstMVController extends AbstractController {

	// http://localhost:8081/SpringMVC-XMLBased/firstmvc.htm

	@Override
	protected ModelAndView handleRequestInternal(HttpServletRequest httpServletRequest, 
			HttpServletResponse httpServletResponse) throws Exception {

		ModelAndView modelAndView = new ModelAndView("showMessage");
		modelAndView.addObject("message", "My First Spring MVC web application");
		return modelAndView;
	}
}